Bug 464810 - Cannot set mtu for pptp connections [NEEDINFO]
Cannot set mtu for pptp connections
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-30 12:16 EDT by Avi Kivity
Modified: 2013-01-09 06:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
arxs: needinfo? (avi)


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2008-09-30 12:16:31 EDT
Description of problem:

My cable provider uses pptp to tunnel to the ISP.  However, the connection will not work well with the default MTU, so I need some way to override the pptp mtu.


Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.11.svn4022.fc9.x86_64

How reproducible:

Always.


Steps to Reproduce:
1. Open pptp vpn config dialog
2. look for mtu
  
Actual results:

not found

Expected results:

found
Comment 1 Dan Williams 2009-02-20 06:30:58 EST
Any idea what your MTU needs to be?  The testing builds of NM-pptp will set the MTU to 1400, which is the same value Windows XP and Windows Vista clients use.
Comment 2 Avi Kivity 2009-03-18 18:51:03 EDT
I have a dispatched.d script that sets it to 1150.  I can binary search it to a more accurate value, but need some way of clearing the pmtu cache so I don't need to reboot my end after each test.
Comment 3 Niels Haase 2009-04-08 17:35:28 EDT
Reporter, are you still running Fedora 9, or have you upgraded to Fedora 10 or
Rawhide? In either case, can you let us know whether the issue is still
happening, and give the current version of the kernel and NM packages you're
using. Thank you.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2009-06-09 22:51:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:06:05 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.